from Reader import reader, types, status
from Log import LOG
from Gui import GUI
import Guild
import Alliance

class TaxCollectorStaticInformations():
    def __init__(self):
        self.first_name_id = reader.readVarUhShort()
        self.last_name_id = reader.readVarUhShort()
        self.guild = Guild.GuildInformations()
        self.caller_id = reader.readVarUhLong()
        return

class TaxCollectorStaticExtendedInformations(TaxCollectorStaticInformations):
    def __init__(self):
        super().__init__()
        self.alliance = Alliance.AllianceInformations()
